.balai-ad-box {
    display: flex;
    justify-content: center;
    margin: 24px auto;
    background: rgba(0, 0, 0, 0.12);
}

.balai-ad-inner {
    width: 100%;
    max-width: 970px;
    position: relative;
    overflow: visible;
}

/* Label */
.balai-ad-inner::before {
    content: "Advertisement";
    position: absolute;
    top: 50%;
    left: 50%;
    font-display: uppercase;
    font-size: 12px;
    opacity: 0.5;
}

/* Layout stabil */
.bp-header .balai-ad-inner {
    height: auto;
}

.bp-inarticle .balai-ad-inner {
    height: auto;
}

.bp-multiplex .balai-ad-inner {
    width: 100%;
    max-width: 1100px;
    height: auto;
}

.bp-sidebar {
    position: sticky;
    top: 80px;
}

@media (max-width: 768px) {
    .bp-header .balai-ad-inner {
        height: auto;
    }
}